# $Revision: 1.45 $, $Date: 2006/08/22 14:44:43 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Image
%define		pnam	Size
Summary:	Image::Size - read the dimensions of an image in several popular formats
Summary(pl):	Image::Size - odczyt rozmiarw obrazkw w kilku popularnych formatach
Name:		perl-Image-Size
Version:	3.0
Release:	1
Epoch:		1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f77eba3d3e5ac6efcc6058f527bb180f
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Image::Magick)'

%description
Image::Size is a library based on the image-sizing code in the
wwwimagesize script, a tool that analyzes HTML files and adds HEIGHT
and WIDTH tags to IMG directives.  Image::Size has generalized that
code to return a raw (X, Y) pair, and included wrappers to pre-format
that output into either HTML or a set of attribute pairs suitable for
the CGI.pm library by Lincoln Stein.

Currently, Image::Size can size images in XPM, XBM, GIF, JPEG, PNG,
MNG, TIFF, the PPM family of formats (PPM/PGM/PBM) and if
Image::Magick is installed, the formats supported by it.

%description -l pl
Image::Size to biblioteka oparta na kodzie sprawdzajcym rozmiar
obrazkw w skrypcie wwwimagesize - narzdziu analizujcym pliki HTML i
dodajcym atrybuty HEIGHT i WIDTH do znacznikw IMG. Image::Size ma
uoglniony kod tak, eby zwraca par (X,Y) oraz doczone wrappery
preformatujce to wyjcie do HTML-a lub zbioru par atrybutw dla
biblioteki CGI.pm Lincolna Steina.

Aktualnie Image::Size moe odczyta rozmiar obrazkw w formatach XPM,
XBM, GIF, JPEG, PNG, MNG, TIFF i rodzinie PPM (PPM/PGM/PBM) oraz,
jeli zainstalowano Image::Magick, w formatach obsugiwanych przez t
bibliotek.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/imgsize
%{perl_vendorlib}/Image/Size.pm
%dir %{perl_vendorlib}/auto/Image
%dir %{perl_vendorlib}/auto/Image/Size
%{perl_vendorlib}/auto/Image/Size/autosplit.ix
%{perl_vendorlib}/auto/Image/Size/*.al
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Image-Size.spec,v $
Revision 1.45  2006/08/22 14:44:43  glen
- rel 1

Revision 1.44  2006/08/09 20:01:14  agaran
- up to 3.0, rel 0.1, builds here

Revision 1.43  2004/11/03 22:30:28  paladine
- formatting

Revision 1.42  2004/06/05 18:10:41  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.41  2004/05/07 00:32:02  ankry
- rel. 2

Revision 1.40  2004/05/06 18:09:43  ankry
- fixed perl-devel BR

Revision 1.39  2004/04/22 12:52:34  ankry
- license fixes & unification

Revision 1.38  2004/04/14 20:46:28  ankry
- cosmetics, unification

Revision 1.37  2003/09/09 10:24:39  ankry
- spaces -> tab

Revision 1.36  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.35  2003/07/30 23:06:21  grzegol
- updated to 2.992

Revision 1.34  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.31  2003/03/01 19:37:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.30  2003/02/25 00:39:28  radek
- use the __perl macro

Revision 1.29  2003/02/18 15:34:17  ankry
- massive attack: change CPAN URLs

Revision 1.28  2003/01/08 12:27:47  mis
- autoupdated to 2.991

Revision 1.27  2002/12/01 22:34:25  qboosh
- pl description

Revision 1.26  2002/11/30 15:36:01  radek
- provided informative summary/description
- Epoch: 1

Revision 1.25  2002/11/28 18:07:29  mis
- autoupdated to 2.99

Revision 1.24  2002/08/04 09:55:07  kloczek
- release 8.

Revision 1.23  2002/07/28 23:00:08  ankry
- typo

Revision 1.22  2002/07/27 21:36:48  ankry
- autosplit.ix is back
- release 7

Revision 1.21  2002/07/19 00:04:11  ankry
- translations, cleaning
- added %%{perl_sitelib}/auto/Image
- new %%doc
- removed autosplit.ix
- release 6

Revision 1.20  2002/07/10 08:47:48  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:32:15  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:17:35  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:27:48  depesz
adapterized

Revision 1.14  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:18  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:11:24  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/05 21:22:06  kloczek
- updated to 2.904.

Revision 1.9  2001/01/11 01:39:48  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/09/25 05:50:32  kloczek
- updated to 2.903.

Revision 1.7  2000/06/09 07:54:54  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 19:27:21  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
